# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Priority.Rel

    java.lang.Object
      java.lang.Enum<Priority.Rel>
          com.google.gdata.data.contacts.Priority.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Priority.Rel>

Enclosing class:
  Priority

    public static enum Priority.Rel

extends java.lang.Enum<Priority.Rel>

Priority category.

Enum Constant Summary
`HIGH` High priority.
`LOW` Low priority.
`NORMAL` Normal priority.

Method Summary
`static Priority.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Priority.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGH

    public static final Priority.Rel HIGH

  High priority.

### LOW

    public static final Priority.Rel LOW

  Low priority.

### NORMAL

    public static final Priority.Rel NORMAL

  Normal priority.

Method Detail

### values

    public static Priority.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Priority.Rel c : Priority.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Priority.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null